<template>
    <div class="home"   v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)" @click="innershow=false">
    <div v-wechat-title="$route.meta.title=name"></div>
     
      <div class="center">
          <div class="stage" >
            <swiper  :options="swiperOption" ref="mySwiper">
            
                    <swiper-slide v-for="(item,index) in allpartlist" :key="index"><dl @click="tophase()"><dt class="alldt"><img v-if="item.Phasestatus=='已结束'" class="image2" src="../../assets/right.png" alt=""/><div class="line" v-show="index!=allpartlist.length-1"></div></dt><dd>{{item.NStageName}}</dd></dl></swiper-slide>
                    <swiper-slide v-for="(item,index) in onelist" :key="index"><dl @click="tophase()"><dt class="onedt"><img v-if="item.Phasestatus=='已结束'" class="image2" src="../../assets/right.png" alt=""/><div class="lineo" v-show="index!=onelist.length-1"></div></dt><dd>{{item.NStageName}}</dd></dl></swiper-slide>
                    <swiper-slide v-for="(item,index) in twolist" :key="index"><dl @click="tophase()"><dt class="twodt"><img v-if="item.Phasestatus=='已结束'" class="image2" src="../../assets/right.png" alt=""/><div class="linet" v-show="index!=twolist.length-1"></div></dt><dd>{{item.NStageName}}</dd></dl></swiper-slide>
                    <swiper-slide v-for="(item,index) in threelist" :key="index"><dl @click="tophase()"><dt class="threedt"><img v-if="item.Phasestatus=='已结束'" class="image2" src="../../assets/right.png" alt=""/><div class="liner" v-show="index!=threelist.length-1"></div></dt><dd>{{item.NStageName}}</dd></dl></swiper-slide>
                    <swiper-slide v-for="(item,index) in fourlist" :key="index"><dl @click="tophase()"><dt class="fourdt"><img v-if="item.Phasestatus=='已结束'" class="image2" src="../../assets/right.png" alt=""/><div class="linef" v-show="index!=fourlist.length-1"></div></dt><dd>{{item.NStageName}}</dd></dl></swiper-slide>
                
            </swiper>
            <div style="margin-left:20%; margin-top:-2%; color:red;" v-if="allpartlist.length==0 && onelist.length==0 && twolist.length==0 && threelist.length==0 && fourlist.length==0">未创建项目阶段，请联系项目助理！</div>
                
         
          </div>
          <ul class="list">
              <li class="basic">
                 <span class="span1">基本信息</span>
                 <dl @click="openmt()">
                     <dt style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left: -0.3rem;
    top: 0.3rem;" src="../../assets/pencile.png">项目阶段:</dt>
                     <dd>{{projectlist.ProjectStage}}&nbsp;<img src="../../assets/gengduo.png"></dd>
                 </dl>
                 <!-- <dl>
                     <dt>项目所属事业部:</dt>
                     <dd>{{projectlist.ProjectRelatedDepartment}}&nbsp;<img src="../../assets/gengduo.png"></dd>
                 </dl> -->
                 <dl>
                     <dt>项目金额:</dt>
                     <dd>{{projectlist.CurrencyIsoCode}}&nbsp;{{projectlist.Amount}}</dd>
                 </dl>
                 <dl  @click="openpicker('stimategolivedate')">
                     <dt style="position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left: -0.3rem;
    top: 0.3rem;" src="../../assets/pencile.png">预计上线时间:</dt>
                     <dd>{{projectlist.stimategolivedate}}</dd>
                 </dl>
                  <!-- <dl>
                     <dt>预估项目成本:</dt>
                     <dd style="color:red;">{{projectlist.CurrencyIsoCode}}&nbsp;{{projectlist.Expected_Implement_Expense}}</dd>
                 </dl> -->
                 <dl>
                     <dt>预计实施周期(月):</dt>
                     <dd>{{projectlist.Expected_Implement_Month}}</dd>
                 </dl>
              </li>
               <li>
                 <span class="span1">上线成本考核<span style="font-size:0.24rem;"></span></span>
                    <div class="pbox">
                         <dl>
                            <dt>上线考核成本:</dt>&nbsp;
                            <dd>{{projectlist.Close_Assess_Expense}}</dd>
                        </dl>
                        <dl>
                            <dt>项目上线成本:</dt>&nbsp;
                            <dd>{{projectlist.Project_Online_Cost}}</dd>
                        </dl>
                
                    </div>
                    
                  
                       <dl>
                            <dt>上线考核结果:</dt>&nbsp;
                            <dd :style="{'color': projectlist.Assess_Result=='盈利' ? 'green':'red','width':66+'%','text-align':'left'}" >{{projectlist.Assess_Result}}</dd>
                        </dl>
                        
                  
                  
                  
              </li>
               <li>
                 <span class="span1">验收成本考核</span>
                    <div class="pbox">
                         <dl>
                            <dt>验收考核成本:</dt>&nbsp;
                            <dd>{{projectlist.Expected_Implement_Expense}}</dd>
                        </dl>
                        <dl>
                            <dt>验收成本:</dt>&nbsp;
                            <dd>{{projectlist.Project_Close_Cost}}</dd>
                        </dl>
                
                    </div>
                    
                  
                       <dl>
                            <dt>验收考核结果:</dt>&nbsp;
                            <dd :style="{'color': projectlist.Close_Assess_Result=='盈利' ? 'green':'red','width':66+'%','text-align':'left'}" >{{projectlist.Close_Assess_Result}}</dd>
                        </dl>
                        
                  
                  
                  
              </li>
               <li>
                 <span class="span1">上线时间考核</span>
                    <div class="pbox">
                         <dl>
                            <dt>考核时间:</dt>&nbsp;
                            <dd>{{projectlist.Assess_Online_Dtate}}</dd>
                        </dl>
                        <dl>
                            <dt>预计时间:</dt>&nbsp;
                            <dd>{{projectlist.stimategolivedate}}</dd>
                        </dl>
                
                    </div>
                       <dl>
                            <dt>考核结果:</dt>&nbsp;
                            <dd :style="{'color': projectlist.Date_Result=='准时上线' ? 'green':'red','width':66+'%','text-align':'left'}">{{projectlist.Date_Result}}</dd>
                        </dl>
                        
                  
                  
                  
              </li>
               <li>
                 <span class="span1">预计上线项目成本</span>
                    <div class="pbox">
                         <dl>
                            <dt>上周人天:</dt>&nbsp;
                            <dd>{{projectlist.LastweekManday}}</dd>
                        </dl>
                        <dl>
                            <dt>上周成本:</dt>&nbsp;
                            <dd>{{projectlist.Lastweekcost}}</dd>
                        </dl>
                
                    </div>
                    
                  
                       <dl>
                            <dt >预计再投入周数:</dt>&nbsp;
                            <dd>{{projectlist.Weeks}}</dd>
                        </dl>
                        <dl>
                            <dt>预计上线前成本:</dt>&nbsp;
                            <dd >{{projectlist.Projected_Cost}}</dd>
                        </dl>
                 
                  
                  
                  
              </li>
               <!-- <li>
                 <span class="span1">项目成本核算</span>
                    <div class="pbox">
                         <dl>
                            <dt>项目预计成本:</dt>
                            <dd>{{projectlist.Projected_Cost}}</dd>
                        </dl>
                        <dl>
                            <dt>项目预计利润:</dt>
                            <dd>{{projectlist.anticipatedprofit}}</dd>
                        </dl>
                
                    </div>
                    
                  <div class="pbox">
                       <dl>
                            <dt>项目核算成本:</dt>
                            <dd style="color:red;">{{projectlist.ProjectCost}}</dd>
                        </dl>
                        <dl>
                            <dt>项目核算利润:</dt>
                            <dd>{{projectlist.CalculateMargin}}</dd>
                        </dl>
                
                  </div>
                  <div class="pbox">
                       <dl>
                            <dt>项目实际成本:</dt>
                            <dd>{{projectlist.ProjectActualCost}}</dd>
                        </dl>
               
                      
                        <dl>
                            <dt>项目实际利润:</dt>
                            <dd>{{projectlist.ActualMargin}}</dd>
                        </dl>
                  </div>
                  
              </li> -->
               <li class="basic">
                 <span class="span1">项目执行</span>
                 <!-- <div class="shb" style="display:flex;"> -->
                     <dl>
                        <dt style="width:25%;">项目启动日期:</dt>&nbsp;
                        <dd style="text-align:left">{{projectlist.project_StartDate}}</dd>
                    </dl>
                    <!-- <dl>
                        <dt>预计上线日期:</dt>
                        <dd @click="openpicker('stimategolivedate')">{{projectlist.stimategolivedate}}&nbsp;<img src="../../assets/gengduo.png"></dd>
                    </dl> -->
                    <dl @click="openpicker('Project_Actual_EndDate')">
                        <dt style="width:25%; position:relative;"><img style="width:0.3rem; height:0.3rem; position:absolute; left: -0.3rem;
    top: 0.3rem;" src="../../assets/pencile.png">预计验收日期:</dt>&nbsp;
                        <dd style="text-align:left">{{projectlist.Project_Actual_EndDate}}</dd>
                    </dl>
                 <!-- </div> -->
                 
                <dl>
                     <dt style="width:25%;">实际结束日期:</dt>&nbsp;
                      <dd style="text-align:left">{{projectlist.ProjectCloseDate}}</dd>
                 </dl>
              </li>
          </ul>
         
          <!-- <div class="box">
              <div class="boxblock">
                   <div class="left">合同</div>
                    <div class="right">收款</div>
              </div>
              <div class="boxblock">
                  <div class="left">项目人天</div>
                  <div class="right">项目团队成员</div>
              </div>
              <div class="boxblock">
                   <div class="left">费用报销</div>
                    <div class="right">文件下载</div>
              </div>
             
          </div> -->
      </div>
      <div class="showsix">
          
          <div  :class="innershow?'outadd':'out'">
                <div @click="tomodule('成员')" class="circley circle"><span>项目</span><span>成员</span></div>
                <div @click="tomodule('下载')"  class="circlex circle"><span>文件</span><span>下载</span></div>
                <div @click="tomodule('报销')"  class="circleb circle"><span>项目</span><span>费用</span></div>
          </div>
            <div :class="innershow?'inneradd':'inner'">
               <div @click="tomodule('合同')" class="circlec circle">合同</div>
                <div @click="tomodule('收款')" class="circles circle">收款</div>
                <div @click="tomodule('项目人天')" class="circler circle"><span>项目</span><span>人天</span></div>
               
            </div>
          <button id="moveDiv" :class="innershow?'addxsix':'addsix'" @click.stop="addsix()"><span style="height:0.3rem; width:0.3rem;position:fixed;left: 0.33rem;
    top: 0.14rem;">+</span></button>
      </div>
         <mt-datetime-picker
                ref="picker"
                type="date"
                year-format="{value}年"
                month-format="{value}月"
                date-format="{value}日"
                v-model="pickerValue"  @confirm="handleconfirm()"  readonly="readonly">
            </mt-datetime-picker>
             <mt-actionsheet
            :actions="actions"
            v-model="sheetVisible">
            </mt-actionsheet>
            <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
            >
                <span style="margin:0 auto; width:20%;">{{word}}</span>
                <span slot="footer" class="dialog-footer">
                    <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
                </span>
            </el-dialog>
    </div>
</template>
<script type="text/ecmascript-6">
 import format from '../../utils/format.js';
export default {
    
    data(){
        let tmonth=new Date().getMonth()+1
        return{
            isshow:true,
            istype:'',
            innershow:false,
            pickerValue:new Date().getFullYear()+'-'+tmonth+'-'+new Date().getDate(),
            projectlist:{
                
            },
            key:'',
            name:'',
            swiperOption:{
                slidesPerView : 8,
                initialSlide:this.status,
            },
            allpartlist:[],
            onelist:[],
            twolist:[],
            threelist:[],
            fourlist:[],
           status:'',
           position:{x:0,y:0},
           dx:'',
           dy:'',
           nx:'',
           ny:'',
           xPum:'',
           yPum:'',
           flags:false,
           sheetVisible:false,
           issave:false,
           word:'',
           actions:[{name:'进场准备',method:this.preparation},{name:'需求调研',method:this.survey},{name:'方案与设计',method:this.design},{name:'配置与开发',method:this.develop},
           {name:'培训与UAT',method:this.train},{name:'系统部署',method:this.arrange},{name:'上线验收',method:this.check},{name:'售后维护',method:this.defend},{name:'已完成',method:this.allcomplete},
           {name:'暂停',method:this.suspend}
           ]
        }
    },
    methods:{
        openpicker(key){
            this.key=key;
            this.$refs.picker.open();
            
        },
        preparation(){
            this.projectlist.ProjectStage='进场准备';
            this.tosave();
        },
        survey(){
            this.projectlist.ProjectStage='需求调研';
            this.tosave();
        },
        design(){
             this.projectlist.ProjectStage='方案与设计';
             this.tosave();
        },
        develop(){
            this.projectlist.ProjectStage='配置与开发';
            this.tosave();
        },
        train(){
             this.projectlist.ProjectStage='培训与UAT';
             this.tosave();
        },
        arrange(){
             this.projectlist.ProjectStage='系统部署';
             this.tosave();
        },
        check(){
             this.projectlist.ProjectStage='上线验收';
             this.tosave();
        },
        defend(){
             this.projectlist.ProjectStage='售后维护';
             this.tosave();
        },
        allcomplete(){
            this.projectlist.ProjectStage='已完成';
            this.tosave();
        },
        suspend(){
            this.projectlist.ProjectStage='暂停';
            this.tosave();
        },
        openmt(){
            this.sheetVisible=true;
        },
        sureback(){
            this.issave=false;
        },
        handleconfirm(){
            console.log(this.pickerValue);
            let d=new Date(this.pickerValue);
            let month=d.getMonth()+1;
            var day=d.getDate();
            if(day<10){
                day='0'+day;
            }
            console.log(d);
             console.log(this.key);
            this.projectlist[this.key]=d.getFullYear()+'-'+month+'-'+day;
             console.log(this.key);
             this.tosave();
        },
        addsix(){

            if(this.innershow==false){
                 this.innershow=true;
            }else{
                  this.innershow=false;
            }
           
        },
        // down(){
        //     let moveDiv=document.getElementById('moveDiv');
        //     this.flags = true;
        //     var touch;
        //     if(event.touches){
        //         touch = event.touches[0];
        //     }else {
        //         touch = event;
        //     }
        //     this.position.x = touch.clientX;
        //     this.position.y = touch.clientY;
        //     this.dx = moveDiv.offsetLeft;
        //     this.dy = moveDiv.offsetTop;

        // },
        // move(e){
        //     if(this.flags){
        //         var touch ;
        //         if(event.touches){
        //             touch = event.touches[0];
        //         }else {
        //             touch = event;
        //         }
        //         this.nx = touch.clientX - this.position.x;
        //         this.ny = touch.clientY - this.position.y;
        //         this.xPum = this.dx+this.nx;
        //         this.yPum = this.dy+this.ny;
        //         moveDiv.style.left = this.xPum+"px";
        //         moveDiv.style.top = this.yPum +"px";
        //         //阻止页面的滑动默认事件
        //         document.addEventListener("touchmove",function(){ // 1.2 如果碰到滑动问题，请注意是否获取到 touchmove
        //             event.preventDefault();//jq 阻止冒泡事件
        //             // event.stopPropagation(); // 如果没有引入jq 就用 stopPropagation()
        //         },false);
        //         }

        // },
        // end(){
        //     this.flags = false;
        // },
        tomodule(type){
            if(type=='合同'){
                this.$router.push({path:'./contract',query:{id:this.$route.query.id,key:'project',name:this.$route.query.name}})
            }else if(type=='收款'){
                this.$router.push({path:'./collection',query:{id:this.$route.query.id,key:'project',name:this.$route.query.name}})
            }else if(type=='项目人天'){
                this.$router.push({path:'./projectday',query:{id:this.$route.query.id,key:'project',name:this.$route.query.name}})
            }else if(type=='报销'){
                this.$router.push({path:'./expense',query:{id:this.$route.query.id,key:'project',name:this.$route.query.name}})
            }else if(type=='成员'){
                 this.$router.push({path:'./member',query:{id:this.$route.query.id,key:'project',name:this.$route.query.name}})
            }else if(type=="下载"){
                this.$router.push({path:'./downfile',query:{id:this.$route.query.id,key:'project',name:this.$route.query.name}})
            }
        },
        tophase(){
            this.$router.push({path:'./projectphase',query:{id:this.$route.query.id}});
        },
        tosave(){
            let that=this;
            if(!that.projectlist.stimategolivedate){
                that.issave=true;
                that.word='请输入预计上线时间';
                return;
            }
            that.isshow=true;
            that.istype="保存中";
             client.apexrest('/rest/UpdateStage?Pid='+that.$route.query.id+'&stage='+that.projectlist.ProjectStage+'&onlineDate='+that.projectlist.stimategolivedate,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.statu=="Success"){
                    that.issave=true;
                    that.word='保存成功';
                
                  }else{
                    that.issave=true;
                    that.word='保存失败';
                  }
                },function(error){
                   that.isshow=false;
                    that.issave=true;
                    that.word=error;
                },'GET',null,true)
        }
    },
    //  beforeRouteLeave(to, from, next) {
    //      // 设置下一个路由的 meta
    //     to.meta.keepAlive = true;  // B 跳转到 A 时，让 A 缓存，即不刷新
    //     next();
    // },
    created(){
         var _mtac = {};
         (function() { 
            var mta = document.createElement("script");
            mta.src = "//pingjs.qq.com/h5/stats.js?v2.0.4"; 
            mta.setAttribute("name", "MTAH5");
            mta.setAttribute("sid", "500652293"); 
            var s = document.getElementsByTagName("script")[0]; 
            s.parentNode.insertBefore(mta, s); })(); 
         this.isshow=true;
        this.istype="加载中";
        let that=this;
        console.log(that.$route.meta);
        // console.log(that.$route.query.name);
        that.name=that.$route.query.name;
        // console.log(that.$route.meta.title);
        console.log(that.$route.query.id);
          client.apexrest('/rest/SingleProjectDetail?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      that.projectlist=data.SFDC
                      that.projectlist.Amount=format(Number(that.projectlist.Amount));
                      that.projectlist.Projected_Cost=format(Number(that.projectlist.Projected_Cost));
                      that.projectlist.ProjectCost=format(Number(that.projectlist.ProjectCost));
                      that.projectlist.ProjectActualCost=format(Number(that.projectlist.ProjectActualCost));
                       that.projectlist.CalculateMargin=format(Number(that.projectlist.CalculateMargin));
                       that.projectlist.ActualMargin=format(Number(that.projectlist.ActualMargin));
                       that.projectlist.anticipatedprofit=format(Number(that.projectlist.anticipatedprofit));
                       that.projectlist.Expected_Implement_Expense=format(Number(that.projectlist.Expected_Implement_Expense));
                       that.projectlist.Lastweekcost=format(Number(that.projectlist.Lastweekcost));
                       that.projectlist.Project_Close_Cost=format(Number(that.projectlist.Project_Close_Cost));
                       that.projectlist.Close_Assess_Expense=format(Number(that.projectlist.Close_Assess_Expense));
                       that.projectlist.Project_Online_Cost=format(Number(that.projectlist.Project_Online_Cost));
                       var xindex=false;
                        data.conlist.filter((val,index)=>{
                            if(val.Phasestatus!=="已结束"){
                                if(xindex==false){
                                     that.status=index;
                                     xindex=true;
                                }
                            }
                            console.log(that.status);
                            if(val.PhasePart=="全部"){
                                that.allpartlist.push(val);
                            }else if(val.PhasePart=="一部分"){
                                that.onelist.push(val);
                            }else if(val.PhasePart=="二部分"){
                                that.twolist.push(val);
                            }else if(val.PhasePart=="三部分"){
                                that.threelist.push(val);
                            }else if(val.PhasePart=="四部分"){
                                that.fourlist.push(val);
                            }
                        })
                 }else{

                  }
                  
                },function(error){
                  that.isshow=false;
                  console.log(error);

                },'GET',null,true)
    
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
    .home{
        width: 100%;
        height:100vh;
    }
    .home .center{
        width: 98%;
        margin: 0 auto;
    }
    .home .center .list{
        width: 100%;
        // border-radius: 0.3rem;
    }
    .home .center .list .basic dl dt{
        width: 62%;
    }
    // .home .center .list .basic .shb dl dd{
    //     // width: 50%;
    // }
    // .home .center .list .basic .shb dl dt{
    //     width: 50%;
    // }
    .home .center .list .basic dl dd{
        width: 50%;
        text-align: right;
        margin-right: 0.2rem;
    }
    .home .center .list li{
        height:auto;
        width: 100%;
        margin-top: 0.12rem;
        background: white;
        // border-radius: 0.3rem;
    }
    .home .center .list li:first-child{
        // margin-top:0.1rem;
        border-radius: 0.2rem 0.2rem 0 0;
    }
     .home .center .list li:last-child{
          border-radius: 0rem 0rem 0.2rem 0.2rem;
     }
     .home .center .list li .span1{
         height: 0.7rem;
         line-height: 0.5rem;
         font-size: 0.30rem;
         margin-left: 0.3rem;
         position: relative;
     }
     .home .center .list li span:before{
         content: '';
         width: 0.06rem;
         height: 0.28rem;
         background: #5477AB;
        position: absolute;
        left: -0.15rem;
        top: 0.05rem;
     }
    .home .center .list li span{
        width:100%;
        height: 0.8rem;
        color: #5477AB;
        font-size: 0.36rem;
        margin-top: 0.1rem;
    }
     .home .center .list li dl{
         width: 100%;
         display: flex;
         height: 0.9rem;
         line-height: 0.9rem;
         border-bottom: 0.02rem solid #EEEEEE;
        //  justify-content: space-between;
     }
     .home .center .list li dl dt{
        //  width:35%;
         margin-left: 0.3rem;
         font-size: 0.28rem;
         color:gray;
        
     }
    
     .home .center .list li dl dd{
        //  width:60%;
         text-align: left;
         
         font-size: 0.28rem;
          color:gray;
     }
     .home .center .list li .pbox{
         display: flex;
     }
    //  .home .center .list li .pbox dl{
    //      width:50%;
    //  }
    //   .home .center .list li .pbox dl dt{
    //        width:71%;
    //   }
    //   .home .center .list li .pbox dl dd{
    //       text-align: left;
    //       margin-left: 2%;
    //       margin-right:0rem;
    //       width:49%
    //   }
     .home .center .stage{
         width:100%;
         height: 1.2rem;
         padding-top: 0.3rem;
         background: white;
         padding-bottom: 0.2rem;
         border-radius:0.2rem;
         line-height: 0.9rem;
         margin-top: 0.12rem;
     }
    .stage dl{

         text-align: center;
         display: flex;
         flex-direction: column;
     }
    .stage dl dt{
         width:0.3rem;
         height: 0.3rem;
         border-radius: 50%;
         text-align: center;
         line-height: 0.35rem;
         margin: 0 auto;
        
          position: relative;
          
     }
      .stage dl dt .image2{
          width: 0.2rem;
          height: 0.2rem;
      }
      .stage dl .alldt{
           background: #70C0F5;
      }
    //   .stage dl .alldt:after{
    //        background: #70C0F5;
    //   }
      .stage dl .onedt{
           background: orange;
      }
      .stage dl .onedt:after{
           background: orange;
      }
      .stage dl .twodt{
           background: pink;
      }
      .stage dl .twodt:after{
           background: pink;
      }
      .stage dl .threedt{
           background: lightsalmon;
      }
      .stage dl .threedt:after{
           background: lightsalmon;
      }
      .stage dl .fourdt{
           background: lightseagreen;
      }
      .stage dl .fourdt:after{
           background: lightseagreen;
      }
    .stage dl dt .line{
         content: '';
         width:0.9rem;
         height:0.02rem;
         position: absolute;
         left: 0.3rem;
         top:0.15rem;
         background:  #70C0F5;
     }
     .stage dl dt .lineo{
         content: '';
         width:0.9rem;
         height:0.02rem;
         position: absolute;
         left: 0.3rem;
         top:0.15rem;
         background:  orange;
     }
     .stage dl dt .linet{
         content: '';
         width:0.9rem;
         height:0.02rem;
         position: absolute;
         left: 0.3rem;
         top:0.15rem;
        background: pink;
     }
     .stage dl dt .liner{
         content: '';
         width:0.9rem;
         height:0.02rem;
         position: absolute;
         left: 0.3rem;
         top:0.15rem;
       background: lightsalmon;
     }
     .stage dl dt .linef{
         content: '';
         width:0.9rem;
         height:0.02rem;
         position: absolute;
         left: 0.3rem;
         top:0.15rem;
         background: lightseagreen;
     }
      .stage dl dd{
          color: gray;
          height: 0.5rem;
          line-height: 0.5rem;
          font-size: 0.24rem;
      }
      .box{
          width:100%;
        //   display: flex;
          height:4.5rem;
          background: white;
          border-radius: 0.2rem;

      }
      .box .boxblock{
          display: flex;
          width: 100%;
        color: gray;
      }
       .box .boxblock .left{
           width:50%;
           height: 1.5rem;
           line-height: 1.5rem;
           text-align: center;
           border-bottom: 0.01rem solid lightgray;
           border-right: 0.01rem solid lightgray;
       }
       .box .boxblock .right{
           width:50%;
           height: 1.5rem;
           line-height: 1.5rem;
           text-align: center;
           border-bottom: 0.01rem solid lightgray;
       }
       .showsix{
       
       }
       .showsix .circle{
           width: 1rem;
           height: 1rem;
           border-radius: 50%;
        //    text-align: center;
           background: white;
           color: white;
            text-align: center;
            line-height: 1rem;
            font-size: 0.24rem;
           white-space:normal;
       // word-break:break-all;
        word-wrap:break-word;
       }
        .showsix .inneradd .circlec{
            position: fixed;
            right: 1.7rem;
            bottom: 0.2rem;
            z-index: 1000;
            background: #70C0F5;
        }
         .showsix .inneradd .circles{
             position: fixed;
            right: 1.1rem;
            bottom: 1.2rem;
            z-index: 1000;
             background: #70C0F5;
         }
           .showsix .inneradd .circler{
                position: fixed;
            right: 0.1rem;
            bottom: 1.8rem;
            z-index: 1000;
             background: #70C0F5;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
           }
           .showsix .inneradd .circler span{
               height:0.3rem;

           }
       .showsix .inneradd{
           position: fixed;
           right: 0;
           bottom: 0;
           width: 3rem;
           height: 3rem;
           border-radius: 3rem 0 0 0;
           box-shadow: 0.02rem  #eeeeee;
          background: rgba(192,227,250,0.5);
       
        //background: #BBF1FF;
            // transform: scale(1);
           transition: all 0.1s;

       }
       .showsix .inner{
           position: fixed;
           right: 0;
           bottom: 0;
           width: 0rem;
           height: 0rem;
           border-radius: 2rem 0 0 0;
             box-shadow: 0.02rem #eeeeee;
        //    transform: scale(0.5);
            background: rgba(223,241,253,0.5);
            // background: #BBF1FF;
             transition: all 0.1s;
          
       }
       .showsix .out{
        //    text-align: center;
            position: fixed;
           right: 0;
           bottom: 0;
            width:0rem;
           height: 0rem;
           line-height: 4rem;
           border-radius: 0rem 0 0 0;
             background: rgba(223,241,253,0.5);
               box-shadow: 0.02rem #eeeeee;
            //  background: #BBF1FF;
            // transform: scale(0.5);
              transition: all 0.1s;
       }
        .showsix .outadd{
              position: fixed;
           right: 0;
           bottom: 0;
        //    text-align: center;
            width: 4.5rem;
           height: 4.5rem;
           line-height: 4.5rem;
           border-radius: 4.5rem 0 0 0;
            background: rgba(223,241,253,0.5);
              box-shadow: 0.02rem#eeeeee;
        //  background: #BBF1FF;
            // transform: scale(1);
           transition: all 0.1s;
       }
       .showsix .outadd .circley{
            //   position: fixed;
            // right: 3.2rem;
            // bottom: 0.4rem;
            // z-index: 1000;
            // background: #FFC266;
             position: fixed;
           right: 3.2rem;
             bottom: 0.4rem;
            z-index: 1000;
             background: #FFC266;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
       }
       .showsix .outadd .circley span{
           height:0.3rem;
       }
       .showsix .outadd .circleb{
            //   position: fixed;
            // right: 2.2rem;
            // bottom: 2.1rem;
            // z-index: 1000;
            // background: #8ADC8A;

             position: fixed;
          right: 2.2rem;
            bottom: 2.1rem;
            z-index: 1000;
             background: #8ADC8A;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
       }
        .showsix .outadd .circleb span{
              height:0.3rem;
        }
       .showsix .outadd .circlex{
            // position: fixed;
            // right: 0.4rem;
            // bottom: 3.1rem;
            // z-index: 1000;
            // background: pink;

             position: fixed;
            right: 0.4rem;
            bottom: 3.1rem;
            z-index: 1000;
             background: pink;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
       }
        .showsix .outadd .circlex span{
            height:0.3rem;
        }
       .showsix .addsix{
           position: fixed;
           right: 0.2rem;
           bottom: 0.2rem;
           width:1rem;
           height: 1rem;
        //    text-align: center;
        //    line-height: 1rem;
           text-align: center;
           border-radius: 50%;
           background: white;
           font-size: 0.5rem;
           margin-left: 0.2rem;
           color: #5477AB;
           border:0.02rem solid #5477AB;
            transform: rotate(0deg);
            transition: all 0.5s;
            z-index: 1000;
       }
        .showsix .addxsix{
            position: fixed;
            // text-align: center;
           right: 0.2rem;
           bottom: 0.2rem;
           width:1rem;
           height: 1rem;
            // line-height: 1rem;
           text-align: center;
           border-radius: 50%;
           background: white;
           font-size: 0.5rem;
           margin-left: 0.2rem;
           color: #5477AB;
           border:0.02rem solid #5477AB;
           transform: rotate(45deg);
           transition: all 0.5s;
           z-index: 200000;
        }
         
</style>

